"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadAll = void 0;
const pjs_1 = require("@tsparticles/pjs");
const shape_arrow_1 = require("@tsparticles/shape-arrow");
const effect_bubble_1 = require("@tsparticles/effect-bubble");
const plugin_canvas_mask_1 = require("@tsparticles/plugin-canvas-mask");
const shape_cards_1 = require("@tsparticles/shape-cards");
const shape_cog_1 = require("@tsparticles/shape-cog");
const path_curl_noise_1 = require("@tsparticles/path-curl-noise");
const path_curves_1 = require("@tsparticles/path-curves");
const plugin_easing_back_1 = require("@tsparticles/plugin-easing-back");
const plugin_easing_circ_1 = require("@tsparticles/plugin-easing-circ");
const plugin_easing_cubic_1 = require("@tsparticles/plugin-easing-cubic");
const plugin_easing_expo_1 = require("@tsparticles/plugin-easing-expo");
const plugin_easing_linear_1 = require("@tsparticles/plugin-easing-linear");
const plugin_easing_quart_1 = require("@tsparticles/plugin-easing-quart");
const plugin_easing_quint_1 = require("@tsparticles/plugin-easing-quint");
const plugin_easing_sine_1 = require("@tsparticles/plugin-easing-sine");
const plugin_emitters_shape_canvas_1 = require("@tsparticles/plugin-emitters-shape-canvas");
const plugin_emitters_shape_path_1 = require("@tsparticles/plugin-emitters-shape-path");
const plugin_emitters_shape_polygon_1 = require("@tsparticles/plugin-emitters-shape-polygon");
const plugin_export_image_1 = require("@tsparticles/plugin-export-image");
const plugin_export_json_1 = require("@tsparticles/plugin-export-json");
const plugin_export_video_1 = require("@tsparticles/plugin-export-video");
const interaction_external_pop_1 = require("@tsparticles/interaction-external-pop");
const tsparticles_1 = require("tsparticles");
const updater_gradient_1 = require("@tsparticles/updater-gradient");
const shape_heart_1 = require("@tsparticles/shape-heart");
const plugin_hsv_color_1 = require("@tsparticles/plugin-hsv-color");
const plugin_infection_1 = require("@tsparticles/plugin-infection");
const interaction_light_1 = require("@tsparticles/interaction-light");
const plugin_motion_1 = require("@tsparticles/plugin-motion");
const updater_orbit_1 = require("@tsparticles/updater-orbit");
const interaction_particles_repulse_1 = require("@tsparticles/interaction-particles-repulse");
const shape_path_1 = require("@tsparticles/shape-path");
const path_perlin_noise_1 = require("@tsparticles/path-perlin-noise");
const plugin_polygon_mask_1 = require("@tsparticles/plugin-polygon-mask");
const path_polygon_1 = require("@tsparticles/path-polygon");
const shape_rounded_polygon_1 = require("@tsparticles/shape-rounded-polygon");
const shape_rounded_rect_1 = require("@tsparticles/shape-rounded-rect");
const path_svg_1 = require("@tsparticles/path-svg");
const path_simplex_noise_1 = require("@tsparticles/path-simplex-noise");
const plugin_sounds_1 = require("@tsparticles/plugin-sounds");
const shape_spiral_1 = require("@tsparticles/shape-spiral");
const effect_trail_1 = require("@tsparticles/effect-trail");
async function loadAll(engine, refresh = true) {
    (0, pjs_1.initPjs)(engine);
    await (0, tsparticles_1.loadFull)(engine, false);
    await (0, plugin_hsv_color_1.loadHsvColorPlugin)();
    await (0, plugin_easing_back_1.loadEasingBackPlugin)();
    await (0, plugin_easing_circ_1.loadEasingCircPlugin)();
    await (0, plugin_easing_cubic_1.loadEasingCubicPlugin)();
    await (0, plugin_easing_expo_1.loadEasingExpoPlugin)();
    await (0, plugin_easing_linear_1.loadEasingLinearPlugin)();
    await (0, plugin_easing_quart_1.loadEasingQuartPlugin)();
    await (0, plugin_easing_quint_1.loadEasingQuintPlugin)();
    await (0, plugin_easing_sine_1.loadEasingSinePlugin)();
    await (0, plugin_emitters_shape_canvas_1.loadEmittersShapeCanvas)(engine, false);
    await (0, plugin_emitters_shape_path_1.loadEmittersShapePath)(engine, false);
    await (0, plugin_emitters_shape_polygon_1.loadEmittersShapePolygon)(engine, false);
    await (0, plugin_hsv_color_1.loadHsvColorPlugin)();
    await (0, plugin_canvas_mask_1.loadCanvasMaskPlugin)(engine, false);
    await (0, plugin_infection_1.loadInfectionPlugin)(engine, false);
    await (0, plugin_motion_1.loadMotionPlugin)(engine, false);
    await (0, plugin_polygon_mask_1.loadPolygonMaskPlugin)(engine, false);
    await (0, plugin_sounds_1.loadSoundsPlugin)(engine, false);
    await (0, plugin_export_image_1.loadExportImagePlugin)(engine, false);
    await (0, plugin_export_json_1.loadExportJSONPlugin)(engine, false);
    await (0, plugin_export_video_1.loadExportVideoPlugin)(engine, false);
    await (0, interaction_external_pop_1.loadExternalPopInteraction)(engine, false);
    await (0, interaction_light_1.loadLightInteraction)(engine, false);
    await (0, interaction_particles_repulse_1.loadParticlesRepulseInteraction)(engine, false);
    await (0, updater_gradient_1.loadGradientUpdater)(engine, false);
    await (0, updater_orbit_1.loadOrbitUpdater)(engine, false);
    await (0, path_curves_1.loadCurvesPath)(engine, false);
    await (0, path_curl_noise_1.loadCurlNoisePath)(engine, false);
    await (0, path_perlin_noise_1.loadPerlinNoisePath)(engine, false);
    await (0, path_polygon_1.loadPolygonPath)(engine, false);
    await (0, path_svg_1.loadSVGPath)(engine, false);
    await (0, path_simplex_noise_1.loadSimplexNoisePath)(engine, false);
    await (0, effect_bubble_1.loadBubbleEffect)(engine, false);
    await (0, shape_arrow_1.loadArrowShape)(engine, false);
    await (0, shape_cards_1.loadCardsShape)(engine, false);
    await (0, shape_cog_1.loadCogShape)(engine, false);
    await (0, shape_heart_1.loadHeartShape)(engine, false);
    await (0, shape_path_1.loadPathShape)(engine, false);
    await (0, shape_rounded_polygon_1.loadRoundedPolygonShape)(engine, false);
    await (0, shape_rounded_rect_1.loadRoundedRectShape)(engine, false);
    await (0, shape_spiral_1.loadSpiralShape)(engine, false);
    await (0, effect_trail_1.loadTrailEffect)(engine, false);
    await engine.refresh(refresh);
}
exports.loadAll = loadAll;
